# -*- coding: utf-8 -*-
from setuphelpers import *

"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
package_name = "barrier"


def install():
    # Installing the package
    if type_debian():
        print("Installing package: %s" % package_name)
        install_apt(package_name)

    if type_redhat():
        print("Installing package: %s" % package_name)
        install_yum(package_name)


def uninstall():
    # Uninstalling the package
    if type_debian():
        print("Uninstalling package: %s" % package_name)
        uninstall_apt(package_name)

    if type_redhat():
        print("Uninstalling package: %s" % package_name)
        uninstall_yum(package_name)


def update_package():
    pass
